Subject: Re: IP Packet size

From: [email-masked]
Date: 13 Dec 2000 05:31:22 -0800

I am in the process of designing and developing a next generation network product line.  These discussions on packet sizes and other related topics have been of immense value to me.  Thanks much and keep it up.

Nara

On Tue, 12 December 2000, Kevin Farley wrote:

> 
> > I am evaluating an IP in IP encapsulation technology and would
> > like to know the average size or size range of an IP Packet,
> > including the 20 byte header.  Can you tell me this or where to
> > find it?
> 
> Big verbose answer follows...
> 
> As others have pointed out, it really depends on what is happening on
> the network as to what an average size would be. I think it is perhaps
> best to think not of the average size, but instead consider the
> distribution.
> 
> You should also consider the network you are collecting on, the time of
> day, loading, etc.
> 
> For example, I collected packet histograms on our corporate network
> which moves LOTS of email and LOTS of web pages as well as local file
> sharing. During the busy times, the distribution is roughly 33% of all
> IP packets are in the 1024 to 1500 byte category, roughly 33% are in
> the less than 100 byte category, and the final 34% appears to be
> uniformly distributed between 100 and 1024 bytes.
> 
> Note that this data was taken on a corporate Ethernet during work
> hours. If you take data on backhaul networks, WANs, or during non-peak
> times, you could obtain quite different results.
> 
> The point is that you need to know what your environment is. If you are
> looking at point-to-point links, the MTUs will be different than for an
> Ethernet LAN. If you are looking at WAN VPNs, then you need to consider
> the application data that will be carried over that link.
> 
> Then there are the differences between protocols: UDP, TCP, RTP/UDP...
> but that is another long discussion.
> 
> Kevin Farley
> 
> 
> __________________________________________________
> Do You Yahoo!?
> Yahoo! Photos - 35mm Quality Prints, Now Get 15 Free!
> http://photos.yahoo.com/

---

From: "Louis A. Mamakos" <[email-masked]>
Date: Thu, 14 Dec 2000 00:13:44 -0500

[Sigh.   Please wrap your lines!]

> I am in the process of designing and developing a next generation network
> product line.  These discussions on packet sizes and other related topics
> have been of immense value to me.  Thanks much and keep it up.

Of course, any assumptions you make on packet sizes, TCP connection
behavior and the like are great until there's some application shift
that comes out of nowhere that invalidates those assumptions. 
If your next generation network product line now can't handle the
load, well then,  you've got some real unhappy customers.

Recall that http traffic went from essentially unobservable to one
of the dominant types of traffic on the public internet in a span
of time measured in months.  Clever hardware that had assumptions
about TCP connection behavior/durations and how that related in cache
sizes were now in deep trouble.

What's the next application type that's going to surprise us?  Consider
the effect of NAPSTER and other peer-to-peer based applications and
how that challanges some basic assumptions on how asymmetric end-user
traffic volume is.

As a customer of much bleeding edge network hardware, when a vendor
asks me about the average packet size of the traffic on my network, 
I know that I'm about to hear some bad news, excuses or qualifcation
of the forthcoming peformance numbers.  And of course an ISP has
essentially no way to influence this distribution of packet sizes
since it's the users that choose the applications they're gonna run.

-- 
Louis A. Mamakos                                    [email-masked]